summaryrefslogtreecommitdiffstats
path: root/deps/alldeps.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2014-12-22 14:56:40 +0100
committer Eric Hameleers <alien@slackware.com>2014-12-22 14:56:40 +0100
commit290362d91d840ad6feed5b59191a058f5e998d3c (patch)
tree0627e989dab744a67ee2b8a073964c1c5c5b66b9 /deps/alldeps.SlackBuild
downloadktown-290362d91d840ad6feed5b59191a058f5e998d3c.tar.gz
ktown-290362d91d840ad6feed5b59191a058f5e998d3c.tar.xz
KDE 4.6.5 for Slackware 13.37 (07jul2011)4.6.5
Diffstat (limited to 'deps/alldeps.SlackBuild')
-rwxr-xr-xdeps/alldeps.SlackBuild58
1 files changed, 58 insertions, 0 deletions
diff --git a/deps/alldeps.SlackBuild b/deps/alldeps.SlackBuild
new file mode 100755
index 0000000..8ed262e
--- /dev/null
+++ b/deps/alldeps.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Build (and install) all KDE dependencies
+# Modified from the KDE Slackware script by Eric Hameleers <alien@slackware.com>
+
+
+# Set the config option variables if they are not already set:
+[ -r ./alldeps.options ] && . ./alldeps.options
+
+# This avoids compiling a version number into KDE's .la files:
+QTDIR=/usr/lib${LIBDIRSUFFIX}/qt ; export QTDIR
+
+ALLDEPS=" \
+ virtuoso-ose \
+ sip \
+ PyQt \
+ QScintilla \
+ libatasmart \
+ sg3_utils \
+ udisks \
+ upower \
+ system-config-printer \
+ ebook-tools \
+ hunspell \
+ libdbusmenu-qt \
+ soprano \
+ akonadi \
+ attica \
+ grantlee \
+ libssh \
+ libbluedevil \
+ "
+
+# Allow for specification of individual packages to be built:
+if [ -z "$1" ]; then
+ MODQUEUE=$ALLDEPS
+else
+ MODQUEUE=$*
+fi
+
+for module in \
+ $MODQUEUE ;
+do
+ cd $module
+ ./$module.SlackBuild
+ if [ $? = 0 ]; then
+ # Yes, I will build with the fresh packages installed:
+ upgradepkg --install-new --reinstall /tmp/${module}-*.txz
+ # Keep MIME database current:
+ /usr/bin/update-mime-database /usr/share/mime 1> /dev/null 2> /dev/null &
+ rm -rf /tmp/package-${module} /tmp/${module}-$VERSION
+ else
+ echo "${module} failed to build."
+ exit 1
+ fi
+ cd - ;
+done
+